Subject: to CN or not to CommonName?

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 16 Sep 1999 14:50:28 +0200

After looking through the LDAP RFCs, both V2 and V3, I find myself still 
unable to answer this:

Although RFC 2256 section 5.4 unambiguously states that "cn" is associated 
with the OID 2.5.4.3 "X.500 CommonName", and the language of RFC 2252 
section 4.2:

 >   Schema developers MUST NOT create attribute definitions whose names
 >   conflict with attributes defined for use with LDAP in existing
 >   standards-track RFCs.

bars the use of "cn" for anything but this, I cannot find a place that 
gives an opinion on whether the use of other names, like "commonName", for 
the same attribute should be:

- freely allowed and encouraged
- allowed, but discouraged
- disallowed

(my personal take: ought to be disallowed, or at least fiercely sworn at, 
for all newly constructed databases. But I'm enamored of uniformity....)

                         Harald

--
Harald Tveit Alvestrand, Maxware, Norway
[email-masked]

---

From: [email-masked] (Mark C Smith)
Date: Thu, 16 Sep 1999 11:47:19 -0400

> for all newly constructed databases. But I'm enamored of uniformity....)

Perhaps a statement should be added to RFC 2252's successor?  For the
sake of interoperability, I agree that use of alternative names should
at least be strongly discouraged.

-- 
Mark Smith
iPlanet Directory Architect / Sun-Netscape Alliance
My words are my own, not my employer's.   Got LDAP?